Skip to main content
Korbyt Desktop (InView)

Assign message to an audience

Assign one or more messages to an audience. You may specify the target audience by id or name. Messages can be selected by id, an array of ids, a name, or an array of names.

PUT
/api/inview/v1/messages
Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

audience_idintegerquery

The id of the audience to assign to

Example: 1
audience_namestringquery

The name of the audience to assign to

Example: sample_audience
message_idstringquery

The id or array of ids of messages to assign. Arrays must be valid JSON format.

Example: 1
message_namestringquery

The name or array of names of messages to assign. Arrays must be valid JSON format.

Example: sample_message

Success. Response body is not documented in the source collection.